package com.chenyang.nse.bussiness.entity.vo;

public class Scope {
   String scopeId;
   String scopeName;
   String isAuto;

   public String getScopeId() {
      return this.scopeId;
   }

   public String getScopeName() {
      return this.scopeName;
   }

   public String getIsAuto() {
      return this.isAuto;
   }

   public void setScopeId(final String scopeId) {
      this.scopeId = scopeId;
   }

   public void setScopeName(final String scopeName) {
      this.scopeName = scopeName;
   }

   public void setIsAuto(final String isAuto) {
      this.isAuto = isAuto;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof Scope)) {
         return false;
      } else {
         Scope other = (Scope)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$scopeId = this.getScopeId();
            Object other$scopeId = other.getScopeId();
            if (this$scopeId == null) {
               if (other$scopeId != null) {
                  return false;
               }
            } else if (!this$scopeId.equals(other$scopeId)) {
               return false;
            }

            Object this$scopeName = this.getScopeName();
            Object other$scopeName = other.getScopeName();
            if (this$scopeName == null) {
               if (other$scopeName != null) {
                  return false;
               }
            } else if (!this$scopeName.equals(other$scopeName)) {
               return false;
            }

            Object this$isAuto = this.getIsAuto();
            Object other$isAuto = other.getIsAuto();
            if (this$isAuto == null) {
               if (other$isAuto != null) {
                  return false;
               }
            } else if (!this$isAuto.equals(other$isAuto)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof Scope;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $scopeId = this.getScopeId();
      result = result * 59 + ($scopeId == null ? 43 : $scopeId.hashCode());
      Object $scopeName = this.getScopeName();
      result = result * 59 + ($scopeName == null ? 43 : $scopeName.hashCode());
      Object $isAuto = this.getIsAuto();
      result = result * 59 + ($isAuto == null ? 43 : $isAuto.hashCode());
      return result;
   }

   public String toString() {
      return "Scope(scopeId=" + this.getScopeId() + ", scopeName=" + this.getScopeName() + ", isAuto=" + this.getIsAuto() + ")";
   }
}
